Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class NullImplementation.NullWriter

`java.lang.Object
java.io.Writer
com.tangosol.util.NullImplementation.NullWriter`

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

Enclosing class:
  NullImplementation

      public static class NullImplementation.NullWriter

extends java.io.Writer

A writer that does basically nothing. Note that multiple instances are required because the API dictates that the close method must cause further invocations to all other methods to throw an IOException.

Author:
  cp 2000.08.02

Field Summary

Fields inherited from class java.io.Writer
`lock`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] cbuf)`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(java.lang.String str)`
`void` | `write(java.lang.String str, int off, int len)`

Methods inherited from class java.io.Writer
`append, append, append`

Method Detail

### write

    public void write(char[] cbuf)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(int c)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(java.lang.String str)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(java.lang.String str,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Specified by:
    `flush` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.